SDL_ConvertPixels(3)

NAME
SDL_ConvertPixels - Copy a block of pixels of one format to another format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_ConvertPixels(int width, int height, SDL_PixelFormat src_format, const void *src, int src_pitch, SDL_PixelFormat dst_format, void *dst, int dst_pitch);

FUNCTION PARAMETERS

width
    the width of the block to copy, in pixels.

height
    the height of the block to copy, in pixels.

src_format
    an SDL_PixelFormat
     value of the src pixels format.

src a pointer to the source pixels.

src_pitch
    the pitch of the source pixels, in bytes.

dst_format
    an SDL_PixelFormat
     value of the dst pixels format.

dst a pointer to be filled in with new pixel data.

dst_pitch
    the pitch of the destination pixels, in bytes.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ConvertPixelsAndColorspace(3)